CamelMimeFilterCRLF
3
CAMEL Library

# CamelMimeFilterCRLF

## Synopsis

    struct              CamelMimeFilterCRLF;
    enum                CamelMimeFilterCRLFDirection;
    enum                CamelMimeFilterCRLFMode;
    CamelMimeFilter*    camel_mime_filter_crlf_new          (CamelMimeFilterCRLFDirection direction,
                                                             CamelMimeFilterCRLFMode mode);

## Description

## Details

### struct CamelMimeFilterCRLF

    struct CamelMimeFilterCRLF {
    	CamelMimeFilter parent;

    	CamelMimeFilterCRLFDirection direction;
    	CamelMimeFilterCRLFMode mode;
    	gboolean saw_cr;
    	gboolean saw_lf;
    	gboolean saw_dot;
    };

### enum CamelMimeFilterCRLFDirection

    typedef enum {
    	CAMEL_MIME_FILTER_CRLF_ENCODE,
    	CAMEL_MIME_FILTER_CRLF_DECODE
    } CamelMimeFilterCRLFDirection;

### enum CamelMimeFilterCRLFMode

    typedef enum {
    	CAMEL_MIME_FILTER_CRLF_MODE_CRLF_DOTS,
    	CAMEL_MIME_FILTER_CRLF_MODE_CRLF_ONLY
    } CamelMimeFilterCRLFMode;

### camel_mime_filter_crlf_new ()

    CamelMimeFilter*    camel_mime_filter_crlf_new          (CamelMimeFilterCRLFDirection direction,
                                                             CamelMimeFilterCRLFMode mode);

Create a new CamelMimeFiletrCRLF object.

`direction` :

  encode vs decode

`mode` :

  whether or not to perform SMTP dot-escaping

Returns :

  a new CamelMimeFilterCRLF object